Main Page Widgets Namespaces Book

# Glib::ObjectBase Class Reference

Inheritance diagram for Glib::ObjectBase:

[legend]
List of all members.

## Public Member Functions

virtual void | reference () const
virtual void | unreference () const
GObject* | gobj ()
const GObject* | gobj () const
GObject* | gobj_copy () const

## Protected Member Functions

| ObjectBase ()
| ObjectBase (const char* custom_type_name)
| ObjectBase (const std::type_info& custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)
bool | is_anonymous_custom_ () const
bool | is_derived_ () const
virtual void | destroy_notify_ ()
void | _set_current_wrapper (GObject* object)

## Static Protected Member Functions

void | destroy_notify_callback_ (void* data)

## Protected Attributes

GObject* | gobject_
const char* | custom_type_name_
bool | cpp_destruction_in_progress_

## Constructor & Destructor Documentation

Glib::ObjectBase::ObjectBase | ( |  | ) | `[protected]`

Glib::ObjectBase::ObjectBase | ( | const char* | custom_type_name | ) | `[explicit, protected]`

Glib::ObjectBase::ObjectBase | ( | const std::type_info& | custom_type_info | ) | `[explicit, protected]`

virtual Glib::ObjectBase::~ObjectBase | ( |  | ) | `[protected, pure virtual]`

## Member Function Documentation

void Glib::ObjectBase::_set_current_wrapper | ( | GObject* | object | ) | `[protected]`

virtual void Glib::ObjectBase::destroy_notify_ | ( |  | ) | `[protected, virtual]`

| Reimplemented in Gtk::Object.

void Glib::ObjectBase::destroy_notify_callback_ | ( | void* | data | ) | `[static, protected]`

const GObject* Glib::ObjectBase::gobj | ( |  | ) | const`[inline]`

Reimplemented in Glib::Interface, Pango::Context, Pango::Font, Pango::FontFace, Pango::FontFamily, Pango::FontMap, Pango::Fontset, Pango::Layout, Atk::Action, Atk::Component, Atk::EditableText, Atk::Image, Atk::NoOpObject, Atk::Object, Atk::ObjectAccessible, Atk::Relation, Atk::RelationSet, Atk::Selection, Atk::StateSet, Atk::Table, Atk::Text, Atk::Value, Gdk::Colormap, Gdk::Device, Gdk::Display, Gdk::DisplayManager, Gdk::DragContext, Gdk::Drawable, Gdk::GC, Gdk::Image, Gdk::Pixbuf, Gdk::PixbufAnimation, Gdk::PixbufAnimationIter, Gdk::PixbufLoader, Gdk::Pixmap, Gdk::Screen, Gdk::Visual, Gdk::Window, Gtk::AccelGroup, Gtk::AccelLabel, Gtk::Adjustment, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellEditable, Gtk::CellRenderer, Gtk::CellRendererPixbuf, Gtk::CellRendererText, Gtk::CellRendererToggle, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::Clipboard, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::Container, Gtk::Curve, Gtk::GammaCurve, Gtk::Dialog, Gtk::DrawingArea, Gtk::Editable, Gtk::Entry, Gtk::EventBox, Gtk::FileSelection, Gtk::Fixed, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::IconFactory, Gtk::Image, Gtk::ImageMenuItem, Gtk::InputDialog, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::ListStore, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::Object, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::Range, Gtk::RcStyle, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::Settings, Gtk::SizeGroup, Gtk::Socket, Gtk::SpinButton, Gtk::Statusbar, Gtk::Style, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextBuffer, Gtk::TextChildAnchor, Gtk::TextMark, Gtk::TextTag, Gtk::TextTagTable, Gtk::TextView, Gtk::ToggleButton, Gtk::Toolbar, Gtk::Tooltips, Gtk::TreeDragDest, Gtk::TreeDragSource, Gtk::TreeModel, Gtk::TreeModelSort, Gtk::TreeSelection, Gtk::TreeSortable, Gtk::TreeStore, Gtk::TreeView, Gtk::TreeViewColumn, Gtk::Viewport, Gtk::Widget, Gtk::Window, and Gtk::WindowGroup.

GObject* Glib::ObjectBase::gobj | ( |  | ) | `[inline]`

Reimplemented in Glib::Interface, Pango::Context, Pango::Font, Pango::FontFace, Pango::FontFamily, Pango::FontMap, Pango::Fontset, Pango::Layout, Atk::Action, Atk::Component, Atk::EditableText, Atk::Image, Atk::NoOpObject, Atk::Object, Atk::ObjectAccessible, Atk::Relation, Atk::RelationSet, Atk::Selection, Atk::StateSet, Atk::Table, Atk::Text, Atk::Value, Gdk::Colormap, Gdk::Device, Gdk::Display, Gdk::DisplayManager, Gdk::DragContext, Gdk::Drawable, Gdk::GC, Gdk::Image, Gdk::Pixbuf, Gdk::PixbufAnimation, Gdk::PixbufAnimationIter, Gdk::PixbufLoader, Gdk::Pixmap, Gdk::Screen, Gdk::Visual, Gdk::Window, Gtk::AccelGroup, Gtk::AccelLabel, Gtk::Adjustment, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellEditable, Gtk::CellRenderer, Gtk::CellRendererPixbuf, Gtk::CellRendererText, Gtk::CellRendererToggle, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::Clipboard, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::Container, Gtk::Curve, Gtk::GammaCurve, Gtk::Dialog, Gtk::DrawingArea, Gtk::Editable, Gtk::Entry, Gtk::EventBox, Gtk::FileSelection, Gtk::Fixed, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::IconFactory, Gtk::Image, Gtk::ImageMenuItem, Gtk::InputDialog, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::ListStore, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::Object, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::Range, Gtk::RcStyle, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::Settings, Gtk::SizeGroup, Gtk::Socket, Gtk::SpinButton, Gtk::Statusbar, Gtk::Style, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextBuffer, Gtk::TextChildAnchor, Gtk::TextMark, Gtk::TextTag, Gtk::TextTagTable, Gtk::TextView, Gtk::ToggleButton, Gtk::Toolbar, Gtk::Tooltips, Gtk::TreeDragDest, Gtk::TreeDragSource, Gtk::TreeModel, Gtk::TreeModelSort, Gtk::TreeSelection, Gtk::TreeSortable, Gtk::TreeStore, Gtk::TreeView, Gtk::TreeViewColumn, Gtk::Viewport, Gtk::Widget, Gtk::Window, and Gtk::WindowGroup.

GObject* Glib::ObjectBase::gobj_copy | ( |  | ) | const

void Glib::ObjectBase::initialize | ( | GObject* | castitem | ) | `[protected]`

bool Glib::ObjectBase::is_anonymous_custom_ | ( |  | ) | const`[protected]`

bool Glib::ObjectBase::is_derived_ | ( |  | ) | const`[protected]`

virtual void Glib::ObjectBase::reference | ( |  | ) | const`[virtual]`

virtual void Glib::ObjectBase::unreference | ( |  | ) | const`[virtual]`

## Member Data Documentation

bool Glib::ObjectBase::cpp_destruction_in_progress_`[protected]`

const char* Glib::ObjectBase::custom_type_name_`[protected]`

GObject* Glib::ObjectBase::gobject_`[protected]`

The documentation for this class was generated from the following file:

- objectbase.h